# Interface IDocumentTemplate

#### Hierarchy

- IDocumentTemplate

- Defined in src/import-dotx/import-dotx.ts:40

#####
Index

### Properties

currentRelationshipId
footers
headers
media
styles
titlePageIsDefined

## Properties

### `Readonly` currentRelationshipId

currentRelationshipId: number

- Defined in src/import-dotx/import-dotx.ts:41

### `Readonly` footers

footers: IDocumentFooter[]

- Defined in src/import-dotx/import-dotx.ts:43

### `Readonly` headers

headers: IDocumentHeader[]

- Defined in src/import-dotx/import-dotx.ts:42

### `Readonly` media

media: Media

- Defined in src/import-dotx/import-dotx.ts:46

### `Readonly` styles

styles: string

- Defined in src/import-dotx/import-dotx.ts:44

### `Readonly` titlePageIsDefined

titlePageIsDefined: boolean

- Defined in src/import-dotx/import-dotx.ts:45

Generated using TypeDoc